/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as environments from "../../../../../../environments";
import * as core from "../../../../../../core";
import * as Merge from "../../../../../index";
export declare namespace Projects {
    interface Options {
        environment?: core.Supplier<environments.MergeEnvironment | string>;
        /** Specify a custom URL to connect the client to. */
        baseUrl?: core.Supplier<string>;
        apiKey: core.Supplier<core.BearerToken>;
        /** Override the X-Account-Token header */
        accountToken?: core.Supplier<string | undefined>;
        fetcher?: core.FetchFunction;
    }
    interface RequestOptions {
        /** The maximum time to wait for a response in seconds. */
        timeoutInSeconds?: number;
        /** The number of times to retry the request. Defaults to 2. */
        maxRetries?: number;
        /** A hook to abort the request. */
        abortSignal?: AbortSignal;
        /** Override the X-Account-Token header */
        accountToken?: string | undefined;
        /** Additional headers to include in the request. */
        headers?: Record<string, string>;
    }
}
export declare class Projects {
    protected readonly _options: Projects.Options;
    constructor(_options: Projects.Options);
    /**
     * Returns a list of `Project` objects.
     *
     * @param {Merge.accounting.ProjectsListRequest} request
     * @param {Projects.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @example
     *     await client.accounting.projects.list()
     */
    list(request?: Merge.accounting.ProjectsListRequest, requestOptions?: Projects.RequestOptions): core.HttpResponsePromise<Merge.accounting.PaginatedProjectList>;
    private __list;
    /**
     * Returns a `Project` object with the given `id`.
     *
     * @param {string} id
     * @param {Merge.accounting.ProjectsRetrieveRequest} request
     * @param {Projects.RequestOptions} requestOptions - Request-specific configuration.
     *
     * @example
     *     await client.accounting.projects.retrieve("id")
     */
    retrieve(id: string, request?: Merge.accounting.ProjectsRetrieveRequest, requestOptions?: Projects.RequestOptions): core.HttpResponsePromise<Merge.accounting.Project>;
    private __retrieve;
    protected _getAuthorizationHeader(): Promise<string>;
}
