/**
 * This file was auto-generated by Fern from our API Definition.
 */
import * as Merge from "../../../index";
/**
 * # The Project Object
 * ### Description
 * The `Project` object is used to track and manage time, costs, resources, and revenue for specific initiatives or work efforts.
 * It provides classification on transactions for allocating expenses, revenue, and activities to a specific project for financial reporting.
 *
 * ### Usage Example
 * Fetch from the `GET Project` endpoint and view project information.
 */
export interface Project {
    id?: string;
    /** The third-party API ID of the matching object. */
    remoteId?: string;
    /** The datetime that this object was created by Merge. */
    createdAt?: Date;
    /** The datetime that this object was modified by Merge. */
    modifiedAt?: Date;
    /** The project’s name */
    name: string;
    /** `True` if the project is active, `False` if the project is not active. */
    isActive?: boolean;
    /** The subsidiary that the project belongs to. */
    company?: Merge.accounting.ProjectCompany;
    /** The supplier, or customer involved in the project. */
    contact?: Merge.accounting.ProjectContact;
    fieldMappings?: Record<string, unknown>;
    remoteData?: Merge.accounting.RemoteData[];
}
